<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProductCategories.aspx.cs" Inherits="ProductCategories" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
 Copyright (c) Microsoft Corporation.  All rights reserved.

 PLEASE NOTE:  Microsoft Corporation (or based on where you live, one of its affiliates) 
 licenses this supplement to you.  You may use it with each validly licensed copy of Microsoft 
 Visual Studio Pre-Release Code-Name "ORCAS" software (the “software”).  You may not use the 
 supplement if you do not have a license for the software.  The license terms for the software 
 apply to your use of this supplement. 

 Please note: As this software is distributed in Quebec, Canada, this notice is provided below in French.
 Remarque: Ce logiciel étant distribué au Québec, Canada, les termes de cette licence sont fournis ci-dessous en français.
 REMARQUE:  Microsoft Corporation (ou en fonction du lieu où vous vivez, l’un de ses affiliés) vous 
 accorde une licence pour ce supplément.  Vous pouvez utiliser une copie de ce supplément avec chaque 
 copie concédée sous licence du logiciel Microsoft Visual Studio Pre-Release Code-Name "ORCAS" (le « logiciel »).  
 Vous n’êtes pas autorisé à utiliser ce supplément si vous n’êtes pas titulaire d’une licence pour le logiciel.  
 Les conditions de licence pour le logiciel s’appliquent à l’utilisation de ce supplément.  
-->
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Manage Product Categories</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Categories</h1>
        <p>
            <asp:GridView ID="gridCategories" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" AutoGenerateColumns="False">
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <EditRowStyle BackColor="#999999" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                <Columns>
                    <asp:BoundField DataField="CategoryName" HeaderText="Category Name" />
                    <asp:BoundField DataField="Description" HeaderText="Description" />
                    <asp:HyperLinkField DataNavigateUrlFields="CategoryID" DataNavigateUrlFormatString="Products.aspx?categoryId={0}"
                        Text="View Products" />
                </Columns>
            </asp:GridView>
        </p>

        <h2>Create a new category:</h2>
        <p>
            <asp:Label ID="lblName" runat="server" Text="Category Name:"></asp:Label>
            <asp:TextBox ID="txtName" runat="server"></asp:TextBox><br />
            <asp:Label ID="lblDescription" runat="server" Text="Description:"></asp:Label>
            <asp:TextBox ID="txtDescription" runat="server"></asp:TextBox><br />
            <asp:Button ID="btnCreateCategory" runat="server" Text="Create new category" OnClick="btnCreateCategory_Click" />
        </p>    
    </div>
    </form>
</body>
</html>
